> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Delete All ModelDeployment Versions

DELETE https://host.com/apis/models/v2/workspaces/{workspace}/deployments/{name}

Delete all versions of a ModelDeployment.

If the deployment is in any state other than DELETED, this will set its status to DELETING.
The models controller will then:
1. Delete the infrastructure (e.g., K8s NimService)
2. Update the status to DELETED

If the deployment is already in DELETED status, calling delete again will permanently
remove it from the database.

Returns:
- 202 Accepted: Deployment marked for deletion (status set to DELETING)
- 204 No Content: Deployment permanently removed from database (was already DELETED)
- 404 Not Found: Deployment doesn't exist

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/model-deployments/delete-all-deployment-versions-apis-models-v-2-workspaces-workspace-deployments-name-delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/models/v2/workspaces/{workspace}/deployments/{name}:
    delete:
      operationId: >-
        delete-all-deployment-versions-apis-models-v-2-workspaces-workspace-deployments-name-delete
      summary: Delete All ModelDeployment Versions
      description: >-
        Delete all versions of a ModelDeployment.


        If the deployment is in any state other than DELETED, this will set its
        status to DELETING.

        The models controller will then:

        1. Delete the infrastructure (e.g., K8s NimService)

        2. Update the status to DELETED


        If the deployment is already in DELETED status, calling delete again
        will permanently

        remove it from the database.


        Returns:

        - 202 Accepted: Deployment marked for deletion (status set to DELETING)

        - 204 No Content: Deployment permanently removed from database (was
        already DELETED)

        - 404 Not Found: Deployment doesn't exist
      tags:
        - subpackage_modelDeployments
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Deployment marked for deletion (DELETING status)
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Deployment not found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**SDK Code**

```python
import requests

url = "https://host.com/apis/models/v2/workspaces/workspace/deployments/name"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/models/v2/workspaces/workspace/deployments/name';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/models/v2/workspaces/workspace/deployments/name"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/models/v2/workspaces/workspace/deployments/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://host.com/apis/models/v2/workspaces/workspace/deployments/name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://host.com/apis/models/v2/workspaces/workspace/deployments/name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/models/v2/workspaces/workspace/deployments/name");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/models/v2/workspaces/workspace/deployments/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```